Bug 435217 - gcc: Internal error: Killed (program cc1)
gcc: Internal error: Killed (program cc1)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 19:52 EST by zoltan
Modified: 2008-04-04 18:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 18:44:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zoltan 2008-02-27 19:52:36 EST
From Bugzilla Helper:
User-Agent: Opera/9.25 (Windows NT 5.1; U; en)

Description of problem:
i try:
cpan> install Bundle::DBD::mysql 

and this the last 3 lines:

DBI.xs:471: warning: value computed is not used
gcc: Internal error: Killed (program cc1)
Please submit a full bug report.


Version-Release number of selected component (if applicable):
gcc-4.1.2-13.fc6

How reproducible:
Always


Steps to Reproduce:
1.cpan> install Bundle::DBD::mysql
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 zoltan 2008-02-27 19:55:19 EST
last operation:
....
/usr/bin/perl -p -e "s/~DRIVER~/Perl/g" ./Driver.xst > Perl.xsi
/usr/bin/perl /usr/lib/perl5/5.8.8/ExtUtils/xsubpp  -typemap /usr/lib/perl5/
5.8.8/ExtUtils/typemap -typemap typemap  Perl.xs > Perl.xsc && mv Perl.xsc 
Perl.c
gcc -c   -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -Wdeclaration-
after-statement -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 
-I/usr/include/gdbm -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -
fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic   -
DVERSION=\"1.602\" -DXS_VERSION=\"1.602\" -fPIC "-I/usr/lib64/perl5/5.8.8/
x86_64-linux-thread-multi/CORE"  -W -Wall -Wpointer-arith -Wbad-function-cast -
Wno-comment -Wno-sign-compare -Wno-cast-qual -Wmissing-noreturn -Wno-unused-
parameter Perl.c
/usr/bin/perl /usr/lib/perl5/5.8.8/ExtUtils/xsubpp  -typemap /usr/lib/perl5/
5.8.8/ExtUtils/typemap -typemap typemap  DBI.xs > DBI.xsc && mv DBI.xsc DBI.c
gcc -c   -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -Wdeclaration-
after-statement -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 
-I/usr/include/gdbm -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -
fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic   -
DVERSION=\"1.602\" -DXS_VERSION=\"1.602\" -fPIC "-I/usr/lib64/perl5/5.8.8/
x86_64-linux-thread-multi/CORE"  -W -Wall -Wpointer-arith -Wbad-function-cast -
Wno-comment -Wno-sign-compare -Wno-cast-qual -Wmissing-noreturn -Wno-unused-
parameter DBI.c
DBI.xs: In function 'set_err_sv':
DBI.xs:471: warning: value computed is not used
gcc: Internal error: Killed (program cc1)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make: *** [DBI.o] Error 1
Killed
Comment 2 Jakub Jelinek 2008-03-11 05:33:21 EDT
This is OOM killed, there can be many reasons why it got killed, including e.g.
some memory hungry process running concurrently on the same box.
It would be a gcc bug only if reasonably small source required unreasonably too
much memory by gcc.  If that's the case and you can reproduce it with current
rawhide gcc, please provide preprocessed testcase.
Comment 3 Jakub Jelinek 2008-04-04 18:44:13 EDT
Furthermore this is with FC6 gcc, which is no longer supported.

Note You need to log in before you can comment on or make changes to this bug.